> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit an existing admin



## OpenAPI

````yaml put /client/admins/{admin_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /client/admins/{admin_id}:
    put:
      tags:
        - Admins & Permissions
      summary: Edit an existing admin
      operationId: a2e1852df6019ce0bee61942bdcd8c6e
      parameters:
        - name: admin_id
          in: path
          description: The ID of the admin to be edited
          required: true
          schema:
            type: integer
      requestBody:
        description: Admin details to be edited
        required: true
        content:
          application/json:
            schema:
              properties:
                email:
                  type: string
                  example: admin@gmail.com
                first_name:
                  type: string
                  example: John
                last_name:
                  type: string
                  example: Doe
                group_id:
                  type: string
                  example: '1'
                client_id:
                  type: string
                  example: '1'
                id:
                  type: integer
                  example: 1
              type: object
      responses:
        '200':
          description: Admin details updated successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Admin details updated successfully
                type: object
        '400':
          description: There was a problem updating this admin
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: There was a problem updating this admin
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    description: Object containing validation errors
                    type: object
                type: object
        '500':
          description: Server error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Server error
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````